function buttoncutBLA(hObject, eventdata, Empty_Button, Buttons, AxesRAW, AxesZLF, DataText, ZerolineText)
data = get(Empty_Button,'UserData');

if (isfield(data,'isdata')*isfield(data,'isbd')*isfield(data,'nobd') == 1) && (data.isdata*data.isbd*data.nobd == 1)
    
    data.x = data.x(data.ibd(1,1):data.ibd(1,2));
    data.D = data.D(:,data.ibd(1,1):data.ibd(1,2));
    
    plot(AxesRAW,data.x,data.D','k');
    axis(AxesRAW,'tight');
    yl = get(AxesRAW,'ylim');
    yl = [min(0,yl(1)), yl(2)*1.1];
    set(AxesRAW,'ylim',yl);
    xlabel(AxesRAW,'channel');
    
    data.iscut = 1;
    data.isbd = 0;
    data.xbd = [];
    data.ibd = [];
    data.iszlf = 0;
    data.iszla = 0;
    data.nobd = 0;
    
    plot(AxesZLF,1,0,'w');
    
    set(ZerolineText(6),'String','none','ForegroundColor','r');
    
    set(DataText(3), 'String', num2str(size(data.D,1)));
    set(DataText(5), 'String', num2str(size(data.D,2)));
    
    onoffButton(Buttons,4,5:7);
    set(hObject, 'Enable', 'off');
    
    set(Empty_Button,'UserData',data);
end
